# $Revision: 1.30 $, $Date: 2002/02/26 13:31:06 $
Summary:	Script to make and update /dev entries
Summary(de):	Script zum Erstellen und Aktualisieren von /dev-Eintrgen
Summary(fr):	Script pour crer et mettre  jour les entres /dev
Summary(pl):	Skrypt do tworzenia i poprawiania urzdze z /dev 
Summary(tr):	Aygt tanm yapmak ve deitirmek iin bir ara
Name:		MAKEDEV
Version:	2.6
Release:	4
License:	FRS - Freely Redistributable Software
Group:		Applications/System
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/dev

%description
The /dev tree holds special files, each of which corresponds to a type
of hardware device that Linux supports. This package contains a script
which makes it easier to create and maintain the files which fill the
/dev tree.

%description -l de
Die /dev-Hierarchie enthlt spezielle Dateien, von denen jede einem
Hardwaregerttyp entspricht, der von Linux untersttzt wird. Dieses
Paket enthlt ein Skript, das die Erstellung und die Pflege der
Dateien innerhalb dieser Hierarchie vereinfacht.

%description -l fr
L'arborescence /dev contient des fichiers spciaux. Chacun d'eux
correspond  un priphrique matriel grable par Linux. Ce paquetage
contient un script facilitant la cration et la maintenance des
fichiers qui remplissent l'arborescence /dev.

%description -l pl
Pliki specjalne znajdujce si w katalogu /dev odpowiadaj
urzdzeniom, ktre s obsugiwane przez Linuksa. Pakiet ten zawiera
skrypt, ktry uczyni tworzenie i operowanie tymi plikami atwiejszym.

%description -l tr
Unix ve Unix benzeri sistemler (Linux da dahil olmak zere), makinaya
bal aygtlar gstermek iin zel dosyalar kullanrlar. Bu zel
dosyalarn tm /dev dizin yaps altndadr. Bu paket en ok
kullanlan /dev dosyalarn ierir. Bu dosyalar, bir sistemin dzgn
olarak ileyebilmesi iin temel gereksinimlerdendir.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	ROOT=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/MAKEDEV
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: MAKEDEV.spec,v $
Revision 1.30  2002/02/26 13:31:06  blues
- removed Conflicts devfs

Revision 1.29  2002/02/25 02:22:59  kloczek
- release 3.

Revision 1.28  2002/02/25 01:11:25  undefine
- MAKEDEV can't be installed on devfs systems

Revision 1.27  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/17 20:23:23  marcus
- adapterized
- rel.2.

Revision 1.25  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/10/08 12:24:12  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.23  2001/09/23 13:08:45  orzech
- group{pl,de} in logwatch.spec
- s/Copyright/License/ - both

Revision 1.22  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.21  2001/05/10 09:21:59  mguevara
- changed licensing from none to FRS (Freely Redistributable Software)
  as stated in lsm file

Revision 1.20  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.16  1999/07/12 23:06:07  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Jun 10 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>

- prepared v. 2.6 for PLD Linux
  (based most on debian MAKEDEV)
- perm of /dev/MAKEDEV changed to standard 644 root.root

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.5-2]
- now package is FHS 2.0 compliant.

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [2.3.1-9]
- added gzipping man page
- added Group(pl)
- cosmetic changes

* Mon Sep  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.3.1-8]
- removed %post wit adding floppy grouup (it is by default in setup),
- changed permission to 744 on /dev/MAKEDEV,
- added using %%{name} and %%{version} macros in Buildroot and Source.
